Algorithm (Lucene 3.6.2 API)
Keywords: org.apache.lucene.benchmark.byTask.utils.Algorithm class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.byTask.utils
Class Algorithm

    java.lang.Object
      org.apache.lucene.benchmark.byTask.utils.Algorithm

    public class Algorithm

extends Object

Test algorithm, as read from file

Constructor Summary
`Algorithm(PerfRunData runData)` Read algorithm from file Property examined: alt.tasks.packages == comma separated list of alternate package names where tasks would be searched for, when not found in the default package (that of `PerfTask` `Object.getClass()`).

Method Summary
`void` | `execute()` Execute this algorithm
`ArrayList<PerfTask>` | `extractTasks()` Expert: for test purposes, return all tasks participating in this algorithm.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Algorithm

    public Algorithm(PerfRunData runData)
              throws Exception

  Read algorithm from file Property examined: alt.tasks.packages == comma separated list of alternate package names where tasks would be searched for, when not found in the default package (that of `PerfTask` `Object.getClass()`). If the same task class appears in more than one package, the package indicated first in this list will be used.

  Parameters:
    `runData` - perf-run-data used at running the tasks.
  Throws:
    `Exception` - if errors while parsing the algorithm

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### execute

    public void execute()
                 throws Exception

  Execute this algorithm

  Throws:
    `Exception`

### extractTasks

    public ArrayList<PerfTask> extractTasks()

  Expert: for test purposes, return all tasks participating in this algorithm.

  Returns:
    all tasks participating in this algorithm.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD